List Payment Accounts for Customer App, with payment method overview
curl --request GET \
--url https://api.prod.finverse.net/payment_accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/payment_accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/payment_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_accounts": [
{
"account_id": "01JY8C5EK9HVZGGJ13WAKXR6WQ",
"account_number": {
"number": "01JY8C5EPK3ZCQ85Y423CZR05X",
"type": "LOCAL"
},
"account_number_masked": "123XXXXX90",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8C5EMYC8DM7576TBAA7RZW",
"bank_code": "420",
"business_units": [],
"created_at": "2025-06-21T04:32:50.393Z",
"currencies": [
"HKD"
],
"customer_app_id": "01JY8AKP7FJJR4MM96YS13XPSS",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"metadata": {
"employer_name": "Apple Inc",
"key": "value"
},
"updated_at": "2025-06-21T04:32:50.393Z",
"user_id": "01JY8C52DZQK1MQQNRJEKPA5S0"
},
{
"account_id": "01JY8BYFS6JTRTZD17HCTNTKCK",
"account_number": {
"number": "01JY8BYFVX5MQ03E52JRSTMC9X",
"type": "LOCAL"
},
"account_number_masked": "123XXXXX90",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8BYFTEA7CYZV4Y0HZF7WKX",
"bank_code": "420",
"business_units": [],
"created_at": "2025-06-21T04:29:02.212Z",
"currencies": [
"HKD"
],
"customer_app_id": "01JY8AKP7FJJR4MM96YS13XPSS",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"metadata": {
"employer_name": "Apple Inc",
"key": "value"
},
"updated_at": "2025-06-21T04:29:02.212Z",
"user_id": "01JY8BY1XE678ZMJDRHNMZ7KXK"
}
],
"total": 2
}Payment accounts
List Payment Accounts for Customer App, with payment method overview
Retrieve all Payment Accounts for a Customer App, including for any SETTLEMENT_ACCOUNT the details on the account’s payment method configurations (payment_method_overview).
Authorization: customer_token
Response field
payment_accounts (array of objects)
List of payment accounts for the Customer App:
payment_method_overview (object)
(For account_type = SETTLEMENT_ACCOUNT only)
Details on the settlement account’s payment method configurations.
GET
/
payment_accounts
List Payment Accounts for Customer App, with payment method overview
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The account_type to filter for
Available options:
EXTERNAL_ACCOUNT, SETTLEMENT_ACCOUNT The currencies to filter for
default is 0
default is 500, max is 1000
Required range:
1 <= x <= 1000